%define upstream_name    JIRA-REST
%define upstream_version 0.020

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Thin wrapper around JIRA's REST API
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/JIRA/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Config::Identity) >= 0.1.900
BuildRequires: perl(Encode)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(HTML::TreeBuilder)
BuildRequires: perl(HTTP::Status)
BuildRequires: perl(JSON) >= 2.230.0
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(Net::Netrc)
BuildRequires: perl(REST::Client)
BuildRequires: perl(Test::More)
BuildRequires: perl(URI)
BuildRequires: perl(URI::Escape)
BuildRequires: perl(lib)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
http://www.atlassian.com/software/jira/ is a proprietary bug tracking
system from Atlassian.

This module implements a very thin wrapper around JIRA's REST APIs:

* * https://docs.atlassian.com/jira/REST/server/

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Mon Feb 17 2020 umeabot <umeabot> 0.20.0-2.mga8
+ Revision: 1537535
- Mageia 8 Mass Rebuild

* Tue Nov 05 2019 tv <tv> 0.20.0-1.mga8
+ Revision: 1457752
- update to 0.020

* Sat Oct 20 2018 tv <tv> 0.19.0-1.mga7
+ Revision: 1322658
- update to 0.019

* Thu Sep 20 2018 umeabot <umeabot> 0.18.0-2.mga7
+ Revision: 1284392
- Mageia 7 Mass Rebuild

* Wed Nov 22 2017 tv <tv> 0.18.0-1.mga7
+ Revision: 1178878
- imported package perl-JIRA-REST


* Wed Nov 22 2017 cpan2dist 0.018-1mga
- initial mageia release, generated with cpan2dist
